List monitor events
List events found by a monitor.
GET
/
api
/
v1
/
monitors
/
{id}
/
events
List monitor events
curl --request GET \
--url https://developer.thehog.ai/api/v1/monitors/{id}/events \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Access-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://developer.thehog.ai/api/v1/monitors/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/monitors/{id}/events"
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"monitor_id": "<string>",
"dedup_key": "<string>",
"event_type": "<string>",
"event_json": {},
"canonical_person_id": "<string>",
"canonical_company_id": "<string>",
"detected_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}GET /api/v1/monitors/:id/events
List events detected by a monitor.Retrieve events (posts, mentions, profile changes) detected by a monitor.
Example
curl https://developer.thehog.ai/api/v1/monitors/mon_01HZXYZ/events?limit=10 \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Path Parameters
Monitor ID.
Query Parameters
⌘I
List monitor events
curl --request GET \
--url https://developer.thehog.ai/api/v1/monitors/{id}/events \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Access-Key': '<api-key>', 'X-Secret-Key': '<api-key>'}
};
fetch('https://developer.thehog.ai/api/v1/monitors/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/monitors/{id}/events"
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"monitor_id": "<string>",
"dedup_key": "<string>",
"event_type": "<string>",
"event_json": {},
"canonical_person_id": "<string>",
"canonical_company_id": "<string>",
"detected_at": "<string>"
}
],
"next_cursor": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}